package com.cusc.nirvana.user.rnr.mg.dto;

import com.cusc.nirvana.user.rnr.mg.common.BaseRnrMgPageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车企信息表(FpVehicleCompany)传输对象类
 *
 * @author yuy336
 * @since 2022-04-19 20:11:15
 */
@ApiModel(value = "车企信息表", description = "车企信息表")
@Data
public class MgVehicleCompanyDTO extends BaseRnrMgPageDTO {

    private static final long serialVersionUID = 374454061924639196L;
    
    @ApiModelProperty(value = "业务主键")
    private String uuid;
    
    @ApiModelProperty(value = "组织id")
    private String orgId;
    
    @ApiModelProperty(value = "企业名称")
    private String companyName;
    
    @ApiModelProperty(value = "证件类型")
    private String companyCertType;
    
    @ApiModelProperty(value = "证件号码")
    private String companyCertNumber;
    //
    //@ApiModelProperty(value = "证件地址")
    //private String companyCertAddress;
    //
    //@ApiModelProperty(value = "企业通讯地址")
    //private String companyContactAddress;
    //
    //@ApiModelProperty(value = "公司类型/公司性质")
    //private String companyType;
    //
    //@ApiModelProperty(value = "产业类型/行业类型")
    //private String industryType;
    
    //@ApiModelProperty(value = "营业执照图片")
    //private String licenseImages;
    
    @ApiModelProperty(value = "责任人姓名")
    private String corporationName;
    
    //@ApiModelProperty(value = "责任人性别")
    //private Integer corporationGender;
    //
    //@ApiModelProperty(value = "责任人证件类型")
    //private String corporationCertType;
    //
    //@ApiModelProperty(value = "责任人证件号")
    //private String corporationCertNumber;
    //
    //@ApiModelProperty(value = "责任人证件地址")
    //private String corporationCertAddress;
    //
    //@ApiModelProperty(value = "责任人通讯地址")
    //private String corporationContactAddress;
    
    @ApiModelProperty(value = "责任人电话")
    private String corporationPhone;
    //
    //@ApiModelProperty(value = "责任人出生年月")
    //private Date corporationBirthday;
    //
    //@ApiModelProperty(value = "责任人证件生效时间")
    //private Date corporationEffectiveDate;
    //
    //@ApiModelProperty(value = "责任人证件失效时间")
    //private Date corporationExpiredDate;
    //
    //@ApiModelProperty(value = "责任人民族")
    //private String corporationNation;
    //
    //@ApiModelProperty(value = "责任人国家")
    //private String corporationCountry;
    //
    //@ApiModelProperty(value = "责任人发证机关")
    //private String corporationIssuingAuthority;
    //
    //@ApiModelProperty(value = "责任人证件正面图片")
    //private String corporationCertFront;
    //
    //@ApiModelProperty(value = "责任人证件反面图片")
    //private String corporationCertBack;
    
    //@ApiModelProperty(value = "企业授权书文件")
    //private String companyCertAuth;

    @ApiModelProperty(value = "首次实名的id")
    private String firstRnrId;

    //@ApiModelProperty(value = "视频活体文件id")
    //private String livenessVideoId;
    //
    //@ApiModelProperty(value = "活体认证状态")
    //private Integer livenessStatus;
    //
    @ApiModelProperty(value = "租户编号")
    private String tenantNo;

    @ApiModelProperty(value = "最后一次操作人")
    private String operator;
}

