package com.cusc.nirvana.user.rnr.common.constants;

public enum ResponseCode {
    AUTHENTICATION_WAY_NOT_FOUND(1801,"认证方式未配置"),
    TENCENT_LIVENESS_EXCEPTION(1802,"腾讯活检测车异常"),
    TENCENT_LIVENESS_FAIL(1803,"腾讯活体检车失败"),
    OCR_PARAMTER_INVALID(1804,"集团OCR请求参数无效"),
    OCR_FRONT_BACK_ERROR(1805,"在正面照字段传入证件背面照！"),
    OCR_FRONT_NAME_ERROR(1806,"姓名不同！"),
    OCR_FRONT_CERTID_ERROR(1807,"证件号不同！"),
    OCR_BACK_FRONT_ERROR(1808,"在背面照字段传入证件正面照！"),
    OCR_BACK_DATE_ERROR(1809,"证件有效期读取失败！"),
    OCR_BACK_EFFECTVE_ERROR(1810,"证件生效日期读取失败！"),
    OCR_BACK_EXPIRE_ERROR(1811,"证件失效日期读取失败！"),
    OCR_BACK_EXPIRE_LESS_THAN_EFFECTVE(1812,"失效日期小于生效日期！"),
    OCR_BACK_EXPIRE_LESS_THAN_TODAY(1813,"证件已失效！"),
    FMP_SERVER_NOT_AVAILABLE(1814,"自然人活体校验服务不可用"),
    FMP_NOT_LIVING_IMG(1815,"不是活体照片"),
    CERT_CHECK_NOT_LIVING_IMG(1816,"自然人身份认证服务不可用"),
    TENCENT_LIVENESS_NUMBER_ERROR(1817,"活体唇语数字获取失败!"),
    CU_NP_FACE_COMPARE_BUSY(1818,"自然人人脸比对服务不可用!"),
    AOP_FACE_COMPARE_INVALID(1819,"AOP人脸比对请求参数无效!"),
    AUTH_WAY_CONFIG_INVALID(1820,"认证方式配置无效!"),
    AUTH_WAY_SERVICE_INSTANCE_INVALID(1821,"认证方式执行实例无效!"),
    AUTH_WAY_NOT_CONFIG_INVALID(1822,"未配置可执行的认证方式!"),
    OCR_CERT_FRONT_EXEC_FAIL(1823,"身份证正面（国徽面）识别失败!"),
    OCR_CERT_BACK_EXEC_FAIL(1823,"身份证反面（人像面）识别失败!"),
    FMP_SYNC_EXEC_FAIL(1824,"执行FMP失败!"),
    ICCID_NOT_NULL(1825,"iccid不能为空"),
    UID_GET_ERROR(1826,"UID获取失败"),
    RNR_IMAGE_UPLOAD_FAIL(1827,"文件上传失败"),
    CERT_CHECK_SYNC_EXEC_FAIL(1828,"执行身份信息核验（CERT_CHECK）失败!"),
    FACE_COMPARE_SYNC_EXEC_FAIL(1829,"执行人脸比对（FACE_COMPARE）失败!"),

    ICCID_RNR_INFO_NOT_MATCHED(1830,"没有需要解绑的卡"),
    CAR_SUB_ORGAN_NOT_FOUND(1831,"查询车企信息失败"),


    INVALID_DATA(1001, "数据校验不通过"),
    SYS_BUSY(1002, "服务调用失败"),
    SERVICE_NOT_FOUND(1003, "服务不存在"),
    TP_SYS_BUSY(1004, "第三方服务调用失败"),
    JSON_FORMAT_ERROR(1005, "参数格式错误"),
    REQ_TOO_MANY_TIMES(1007, "请求过于频繁，请稍后再试!"),
    INTERNAL_ERROR(1008, "内部错误，请联系管理员!"),
    PARAMETER_NOT_NULL(1009, "必填参数不能为空!"),


	SYSTEM_ERROR(-1,"系统错误")
    ;

    private Integer code;
    private String msg;

    ResponseCode(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
