package com.cusc.nirvana.user.rnr.mg.constants;

/**
 * Description: 实名操作日志业务类型枚举
 * <br />
 * CreateDate 2021-10-28 12:49:12
 *
 * @author yuyi
 **/
public enum RnrOptLogOptTypeEnum {

    OPERATE_CREATE(1, "创建操作"),
    OPERATE_RNR(2, "实名操作"),
    OPERATE_UNBIND(3, "解绑操作"),
    OPERATE_UPDATE_VEHICLE(4, "车辆信息变更"),
    OPERATE_UPDATE_CUSTOMER(5, "车主信息变更");

    private Integer code;
    private String comment;

    private RnrOptLogOptTypeEnum(Integer code, String comment) {
        this.code = code;
        this.comment = comment;
    }

    public Integer getCode() {
        return code;
    }

    public String getComment() {
        return comment;
    }

    public static RnrOptLogOptTypeEnum getModifyType(Integer code) {
        for (RnrOptLogOptTypeEnum type : RnrOptLogOptTypeEnum.values()) {
            if (type.getCode().equals(code)) {
                return type;
            }
        }
        return null;
    }
}
