package com.cusc.nirvana.user.rnr.mg.controller;

import com.alibaba.fastjson.JSON;
import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.mg.dto.MgCheckProgressDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgCheckStatisticsDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgCheckStatisticsQueryDTO;
import com.cusc.nirvana.user.rnr.mg.service.IMgCheckProgressService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author hxin
 * @date 2022/5/18 19:08
 */
@RestController
@RequestMapping("/mgCheckProgress")
public class MgCheckProgressController {

    @Autowired
    private IMgCheckProgressService mgCheckProgressService;

    @PostMapping("/queryByPage")
    @ApiOperation(value = "分页查询", notes = "分页查询")
    public Response<PageResult<MgCheckProgressDTO>> queryByPage(@RequestBody MgCheckProgressDTO bean) {
        PageResult<MgCheckProgressDTO> mgCheckProgressDTOPageResult = mgCheckProgressService.queryByPage(bean);
        return Response.createSuccess(mgCheckProgressDTOPageResult);
    }

    @PostMapping("/queryCheckStatistics")
    @ApiOperation(value = "查询看板统计", notes = "查询看板统计")
    public Response<MgCheckStatisticsDTO> queryCheckStatistics(@RequestBody MgCheckStatisticsQueryDTO queryDTO) {
        MgCheckStatisticsDTO mgCheckStatisticsDTO = mgCheckProgressService.queryCheckStatistics(queryDTO);
        return Response.createSuccess(mgCheckStatisticsDTO);
    }


}
