package com.cusc.nirvana.user.rnr.mg.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCommonConfigDTO;
import com.cusc.nirvana.user.rnr.mg.service.IMgRnrCommonConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 实名业务公共配置(MgRnrCommonConfig)表控制层
 *
 * @author yuy336
 * @since 2022-03-03 10:56:46
 */
@RestController
@RequestMapping("/mgRnrCommonConfig")
public class MgRnrCommonConfigController {
    /**
     * 服务对象
     */
    @Autowired
    private IMgRnrCommonConfigService mgRnrCommonConfigService;


    /**
     * 通过主键查询单条数据
     *
     * @param bean 实体
     * @return 单条数据
     */
   @PostMapping("/getByUuid")
    public Response<MgRnrCommonConfigDTO> getByUuid(@RequestBody MgRnrCommonConfigDTO bean) {
        return Response.createSuccess(mgRnrCommonConfigService.getByUuid(bean));
    }
    
     /**
     * 通过主键查询单条数据
     *
     * @param bean 实体
     * @return 单条数据
     */
   @PostMapping("/queryByList")
    public Response<List<MgRnrCommonConfigDTO>> queryByList(@RequestBody MgRnrCommonConfigDTO bean) {
        return Response.createSuccess(mgRnrCommonConfigService.queryByList(bean));
    }

    /**
     * 新增数据
     *
     * @param bean 实体
     * @return 新增结果
     */
    @PostMapping("/add")
    public Response add(@RequestBody MgRnrCommonConfigDTO bean) {
       return Response.createSuccess(mgRnrCommonConfigService.insert(bean));
    }

    /**
     * 编辑数据
     *
     * @param bean 实体
     * @return 编辑结果
     */
    @PostMapping("/update")
    public Response update(@RequestBody MgRnrCommonConfigDTO bean) {
        return Response.createSuccess(mgRnrCommonConfigService.update(bean));
    }

    /**
     * 删除数据
     *
     * @param bean 实体
     * @return 删除是否成功
     */
    @PostMapping("/deleteById")
    public Response<Boolean> deleteById(@RequestBody MgRnrCommonConfigDTO bean) {
        return Response.createSuccess(mgRnrCommonConfigService.deleteById(bean));
    }

}

