package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrCommonConfigPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCommonConfigDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 实名业务公共配置(MgRnrCommonConfig)表服务接口
 *
 * @author yuy336
 * @since 2022-03-03 10:56:46
 */
@Mapper
public interface MgRnrCommonConfigConverter {

    MgRnrCommonConfigConverter INSTANCE = Mappers.getMapper(MgRnrCommonConfigConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrCommonConfigDTO poToDto(MgRnrCommonConfigPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrCommonConfigPO dtoToPo(MgRnrCommonConfigDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<MgRnrCommonConfigDTO> poListToDtoList(List<MgRnrCommonConfigPO> list);
}
