package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrFilePO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrFileDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 实名图片信息表(MgRnrImage0)表服务接口
 *
 * @author yuy336
 * @since 2022-01-26 13:49:12
 */
@Mapper
public interface MgRnrImageConverter {

    MgRnrImageConverter INSTANCE = Mappers.getMapper(MgRnrImageConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrFileDTO poToDto(MgRnrFilePO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrFilePO dtoToPo(MgRnrFileDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<MgRnrFileDTO> poListToDtoList(List<MgRnrFilePO> list);
}
