package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrInfoPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrInfoDTO;
import com.cusc.nirvana.user.rnr.mg.dto.PersonalRnrDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 实名信息表(MgRnrInfo)表服务接口
 *
 * @author yuy336
 * @since 2022-02-10 18:30:53
 */
@Mapper
public interface MgRnrInfoConverter {

    MgRnrInfoConverter INSTANCE = Mappers.getMapper(MgRnrInfoConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrInfoDTO poToDto(MgRnrInfoPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrInfoPO dtoToPo(MgRnrInfoDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<MgRnrInfoDTO> poListToDtoList(List<MgRnrInfoPO> list);


    /**
     * Description:个人活体实名DTO 转 info po
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrInfoDTO rnrToInfoDTO(PersonalRnrDTO bean);
}
