package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrOperationLogPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrOperationLogDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 实名操作日志，包含rnr_info_oplog(MgRnrOperationLog)表服务接口
 *
 * @author yuy336
 * @since 2022-03-04 15:07:43
 */
@Mapper
public interface MgRnrOperationLogConverter {

    MgRnrOperationLogConverter INSTANCE = Mappers.getMapper(MgRnrOperationLogConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrOperationLogDTO poToDto(MgRnrOperationLogPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrOperationLogPO dtoToPo(MgRnrOperationLogDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<MgRnrOperationLogDTO> poListToDtoList(List<MgRnrOperationLogPO> list);

    /**
     * Description: dto list 转 po list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<MgRnrOperationLogPO> dtoListToPoList(List<MgRnrOperationLogDTO> list);
}
