package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrTagPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrTagDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 实名标签，可用于对数据权限查询(MgRnrTag15)表服务接口
 *
 * @author yuy336
 * @since 2022-01-26 13:50:09
 */
@Mapper
public interface MgRnrTagConverter {

    MgRnrTagConverter INSTANCE = Mappers.getMapper(MgRnrTagConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrTagDTO poToDto(MgRnrTagPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrTagPO dtoToPo(MgRnrTagDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<MgRnrTagDTO> poListToDtoList(List<MgRnrTagPO> list);
}
