package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.MgTenantBizzConfigPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgTenantBizzConfigDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 租户业务配置(MgTenantBizzConfig)表服务接口
 *
 * @author yuy336
 * @since 2022-06-14 09:36:11
 */
@Mapper
public interface MgTenantBizzConfigConverter {

    MgTenantBizzConfigConverter INSTANCE = Mappers.getMapper(MgTenantBizzConfigConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgTenantBizzConfigDTO poToDto(MgTenantBizzConfigPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgTenantBizzConfigPO dtoToPo(MgTenantBizzConfigDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<MgTenantBizzConfigDTO> poListToDtoList(List<MgTenantBizzConfigPO> list);
}
