package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.OpenTenantRelationPO;
import com.cusc.nirvana.user.rnr.mg.dto.OpenTenantRelationDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 开放平台租户和实名制租户映射关系表(OpenTenantRelation)表服务接口
 *
 * @author yuy336
 * @since 2022-06-15 20:03:28
 */
@Mapper
public interface OpenTenantRelationConverter {

    OpenTenantRelationConverter INSTANCE = Mappers.getMapper(OpenTenantRelationConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    OpenTenantRelationDTO poToDto(OpenTenantRelationPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    OpenTenantRelationPO dtoToPo(OpenTenantRelationDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<OpenTenantRelationDTO> poListToDtoList(List<OpenTenantRelationPO> list);
}
