package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.RnrOrderPO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrOrderDTO;
import com.cusc.nirvana.user.rnr.mg.dto.PersonalRnrDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 实名工单信息(MgRnrOrder15)表服务接口
 *
 * @author yuy336
 * @since 2022-01-26 13:49:53
 */
@Mapper
public interface RnrOrderConverter {

    RnrOrderConverter INSTANCE = Mappers.getMapper(RnrOrderConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    RnrOrderDTO poToDto(RnrOrderPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    RnrOrderPO dtoToPo(RnrOrderDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<RnrOrderDTO> poListToDtoList(List<RnrOrderPO> list);

    /**
     * Description: 个人活体实名DTO 转 order po
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    RnrOrderDTO rnrToOrderDTO(PersonalRnrDTO bean);

    /**
     * Description: dto 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    RnrOrderDTO copyOrderDtoToDto(RnrOrderDTO bean);
}
