package com.cusc.nirvana.user.rnr.mg.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrCardInfoPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCardInfoDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 实名卡信息(MgRnrCardInfo)表数据库访问层
 *
 * @author yuy336
 * @since 2022-03-04 11:06:45
 */
public interface MgRnrCardInfoDao extends BaseMapper<MgRnrCardInfoPO> {

    /**
     * Description: 批量新增卡信息
     * <br />
     * CreateDate 2022-03-04 11:27:51
     *
     * @author yuyi
     **/
    Integer addRnrCardBatch(List<MgRnrCardInfoPO> beanList);

    Integer unboundCardBatch(@Param("beans") List<String> uuids, int status);

    Integer updateCardNoticeStatus(MgRnrCardInfoDTO mgRnrCardInfoDTO);

    Integer updateCardStatusByOrderId(String orderId, int noticeStatus, int rnrStatus);

    /**
     * Description: 通过c端用户id查询card信息
     * <br />
     * CreateDate 2022-05-06 14:59:56
     *
     * @author yuyi
     **/
    List<MgRnrCardInfoPO> queryByUserId(Page page, MgRnrCardInfoDTO bean);

    /**
     * 根据身份证获取已经实名但是未进行上报的卡信息,用于一证十卡,其中联通要求了一证十卡
     * @param certNumber
     * @return
     */
    List<String> getNumWithUnload(@Param("certNumber") String certNumber);
}

