package com.cusc.nirvana.user.rnr.mg.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cusc.nirvana.user.rnr.mg.dao.entity.RnrOrderPO;
import com.cusc.nirvana.user.rnr.mg.dto.LocalVerifyListDTO;
import com.cusc.nirvana.user.rnr.mg.dto.LocalVerifyListRqDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 实名工单信息(MgRnrOrder)表数据库访问层
 *
 * @author yuy336
 * @since 2022-01-26 13:49:52
 */
@Mapper
public interface RnrOrderDao extends BaseMapper<RnrOrderPO> {
    /**
     * 批量新增数据
     *
     * @param orderList 实例对象
     * @return 实例对象
     */
    Integer insertBatchOrder(List<RnrOrderPO> orderList);

    /**
     * 更新订单状态
     * @param orderId
     * @param status
     * @return
     */
    Integer updateOrderStatus(@Param("beans") List<String> orderId, @Param("status") int status);

    /**
     * 更新工单系统编号
     * @return
     */
    void updateOrderApproveNo(String uuid, String workOrderCode);

    Integer orderTotal(@Param("bean") LocalVerifyListRqDTO bean);

    List<LocalVerifyListDTO> orderList(@Param("bean") LocalVerifyListRqDTO bean,@Param("start") Integer start, @Param("end")Integer end);

    @Select("select organ_name from eiam_organization where id = #{orgId}")
    String getOrgnameById(@Param("orgId") String orgId);

    String getOrganNameForOrgId(@Param("orgId") String orgId);

    String getOrganNameForOrganCode(@Param("organCode") String orgId);

    Integer validationRnrOrder(@Param("iotId") String iotId,@Param("iccid") String iccid);
}

