package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import com.cusc.nirvana.user.rnr.mg.dao.handler.EncryptDataTypeHandler;
import lombok.Data;

/**
 * 实名卡信息(MgRnrCardInfo)实体类
 *
 * @author yuy336
 * @since 2022-03-04 11:06:45
 */
@TableName(value = "mg_rnr_card_info", autoResultMap = true)
@Data
public class MgRnrCardInfoPO extends BaseRnrPO {

    private static final long serialVersionUID = -81668660326886931L;
    
    /**
     * 业务主键
     */    
    @TableField("uuid")
    private String uuid;
    
    /**
     * 实名业务主键
     */    
    @TableField("rnr_id")
    private String rnrId;

    /**
     * 实名工单id
     */
    @TableField("order_id")
    private String orderId;

	/**
	 * 老的业务id，换人之前的卡的uuid
	 */
	@TableField(value = "old_card_id")
    private String oldCardId;
    
    /**
     * 卡号
     */
    @TableField(value = "iccid", typeHandler = EncryptDataTypeHandler.class)
    private String iccid;

    /**
     * 物联网设备id
     */
    @TableField(value = "iot_id", typeHandler = EncryptDataTypeHandler.class)
    private String iotId;

    /**
     * 实名状态  0 未实名（认证中）  1 已实名  2 实名失败 3 已解绑
     */
    @TableField("rnr_status")
    private Integer rnrStatus;

    /**
     * 消息发送状态
     * 卡信息存在，但是未审核通过，不需要发送
     * 0 不需要发送 1 待发送 2 成功 3失败
     */
    @TableField("notice_status")
    private Integer noticeStatus;

    /**
     * T1上报状态。0 未上报 1已发送
     */
    @TableField("t1_upload_status")
    private Integer t1UploadStatus;

    /**
     * 业务类型：1 实名, 2 解绑, 3 换件,  4 信息变更,5 重绑
     */
    @TableField("rnr_bizz_type")
    private Integer rnrBizzType;
    
    /**
     * 租户编号
     */    
    @TableField("tenant_no")
    private String tenantNo;
    
    /**
     * 分表路由键
     */    
    @TableField("routing_key")
    private Long routingKey;

    /**
     * 语言版本
     */
    @TableField("lang")
    private Long lang;

    /**
     * 备注信息
     */
    @TableField("comment")
    private Long comment;
    
    /**
     * 最后一次操作人
     */    
    @TableField("operator")
    private String operator;
}

