package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import com.cusc.nirvana.user.rnr.mg.dao.handler.EncryptDataTypeHandler;
import lombok.Data;

import java.util.Date;

/**
 * 实名联系人信息表(MgRnrLiaisonInfo)实体类
 *
 * @author yuy336
 * @since 2022-03-03 19:59:05
 */
@TableName(value = "mg_rnr_liaison_info", autoResultMap = true)
@Data
public class MgRnrLiaisonInfoPO extends BaseRnrPO {

    private static final long serialVersionUID = 999054643538533027L;
    
    /**
     * 业务主键
     */    
    @TableField("uuid")
    private String uuid;
    
    /**
     * 实名业务主键
     */    
    @TableField("rnr_id")
    private String rnrId;
    
    /**
     * 联系人类型：紧急联系人、代/经办人
     */    
    @TableField("liaison_type")
    private Integer liaisonType;
    
    /**
     * 被委托人姓名
     */
    @TableField(value = "liaison_name", typeHandler = EncryptDataTypeHandler.class)
    private String liaisonName;
    
    /**
     * 被委托人证件类型
     */
    @TableField("liaison_cert_type")
    private String liaisonCertType;

    /**
     * 性别
     */
    @TableField("liaison_gender")
    private Integer liaisonGender;

    /**
     * 证件失效时间
     */
    @TableField("liaison_expired_date")
    private String liaisonExpiredDate;
    
    /**
     * 被委托人证件号码
     */
    @TableField(value = "liaison_cert_number", typeHandler = EncryptDataTypeHandler.class)
    private String liaisonCertNumber;
    
    /**
     * 被委托人证件地址
     */
    @TableField(value = "liaison_cert_address", typeHandler = EncryptDataTypeHandler.class)
    private String liaisonCertAddress;
    
    /**
     * 被委托人通讯地址
     */
    @TableField(value = "liaison_contact_address", typeHandler = EncryptDataTypeHandler.class)
    private String liaisonContactAddress;
    
    /**
     * 被委托人电话
     */
    @TableField(value = "liaison_phone", typeHandler = EncryptDataTypeHandler.class)
    private String liaisonPhone;

    /**
     * 租户编号
     */    
    @TableField("tenant_no")
    private String tenantNo;
    
    /**
     * 分表路由键
     */    
    @TableField("routing_key")
    private Long routingKey;
    
    /**
     * 最后一次操作人
     */    
    @TableField("operator")
    private String operator;

    /**
     * 业务类型：1 实名, 2 解绑, 3 换件,  4 信息变更,5 重绑
     */
    @TableField("rnr_bizz_type")
    private Integer rnrBizzType;
}

