package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import lombok.Data;

/**
 * 实名标签，可用于对数据权限查询(MgRnrTag15)实体类
 *
 * @author yuy336
 * @since 2022-01-26 13:50:09
 */
@TableName("mg_rnr_tag")
@Data
public class MgRnrTagPO extends BaseRnrPO {

    private static final long serialVersionUID = -35711427086134449L;
    
    /**
     * 业务主键
     */    
    @TableField("uuid")
    private String uuid;
    
    /**
     * 实名id
     */    
    @TableField("rnr_id")
    private String rnrId;
    
    /**
     * 实名工单id
     */    
    @TableField("rnr_order_id")
    private String rnrOrderId;
    
    /**
     * 标签名称
     */    
    @TableField("tag_name")
    private String tagName;
    
    /**
     * 标签值
     */    
    @TableField("tag_value")
    private String tagValue;
    
    /**
     * 租户编号
     */    
    @TableField("tenant_no")
    private String tenantNo;
    
    /**
     * 分表路由键
     */    
    @TableField("routing_key")
    private Long routingKey;
    
    /**
     * 最后一次操作人
     */    
    @TableField("operator")
    private String operator;

    /**
     * 业务类型：1 实名, 2 解绑, 3 换件,  4 信息变更,5 重绑
     */
    @TableField("rnr_bizz_type")
    private Integer rnrBizzType;
}

