package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import lombok.Data;

import java.util.Date;

/**
 * 车企信息表(FpVehicleCompany)实体类
 *
 * @author yuy336
 * @since 2022-04-19 20:11:33
 */
@TableName("mg_vehicle_company")
@Data
public class MgVehicleCompanyPO extends BaseRnrPO {

    private static final long serialVersionUID = -14303302512040175L;
    
    /**
     * 业务主键
     */    
    @TableField("uuid")
    private String uuid;
    
    /**
     * 组织id
     */    
    @TableField("org_id")
    private String orgId;
    
    /**
     * 企业名称
     */    
    @TableField("company_name")
    private String companyName;
    
    /**
     * 证件类型
     */    
    @TableField("company_cert_type")
    private String companyCertType;
    
    /**
     * 证件号码
     */    
    @TableField("company_cert_number")
    private String companyCertNumber;
    
    /**
     * 证件地址
     */    
    @TableField("company_cert_address")
    private String companyCertAddress;
    
    /**
     * 企业通讯地址
     */    
    @TableField("company_contact_address")
    private String companyContactAddress;
    
    /**
     * 公司类型/公司性质
     */    
    @TableField("company_type")
    private String companyType;
    
    /**
     * 产业类型/行业类型
     */    
    @TableField("industry_type")
    private String industryType;
    
    /**
     * 营业执照图片
     */    
    @TableField("license_images")
    private String licenseImages;
    
    /**
     * 责任人姓名
     */    
    @TableField("corporation_name")
    private String corporationName;
    
    /**
     * 责任人性别
     */    
    @TableField("corporation_gender")
    private Integer corporationGender;
    
    /**
     * 责任人证件类型
     */    
    @TableField("corporation_cert_type")
    private String corporationCertType;
    
    /**
     * 责任人证件号
     */    
    @TableField("corporation_cert_number")
    private String corporationCertNumber;
    
    /**
     * 责任人证件地址
     */    
    @TableField("corporation_cert_address")
    private String corporationCertAddress;
    
    /**
     * 责任人通讯地址
     */    
    @TableField("corporation_contact_address")
    private String corporationContactAddress;
    
    /**
     * 责任人电话
     */    
    @TableField("corporation_phone")
    private String corporationPhone;
    
    /**
     * 责任人出生年月
     */    
    @TableField("corporation_birthday")
    private Date corporationBirthday;
    
    /**
     * 责任人证件生效时间
     */    
    @TableField("corporation_effective_date")
    private Date corporationEffectiveDate;
    
    /**
     * 责任人证件失效时间
     */    
    @TableField("corporation_expired_date")
    private Date corporationExpiredDate;
    
    /**
     * 责任人民族
     */    
    @TableField("corporation_nation")
    private String corporationNation;
    
    /**
     * 责任人国家
     */    
    @TableField("corporation_country")
    private String corporationCountry;
    
    /**
     * 责任人发证机关
     */    
    @TableField("corporation_issuing_authority")
    private String corporationIssuingAuthority;
    
    /**
     * 责任人证件正面图片
     */    
    @TableField("corporation_cert_front")
    private String corporationCertFront;
    
    /**
     * 责任人证件反面图片
     */    
    @TableField("corporation_cert_back")
    private String corporationCertBack;
    
    /**
     * 企业授权书文件
     */    
    @TableField("company_cert_auth")
    private String companyCertAuth;
    
    /**
     * 首次实名的id
     */    
    @TableField("first_rnr_id")
    private String firstRnrId;
    
    /**
     * 视频活体文件id
     */    
    @TableField("liveness_video_id")
    private String livenessVideoId;
    
    /**
     * 活体认证状态
     */    
    @TableField("liveness_status")
    private Integer livenessStatus;
    
    /**
     * 租户编号
     */    
    @TableField("tenant_no")
    private String tenantNo;
    
    /**
     * 最后一次操作人
     */    
    @TableField("operator")
    private String operator;
}

