package com.cusc.nirvana.user.rnr.mg.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.*;
import java.util.List;

/**
 * 文件上传请求
 * @author jiamj
 * @date 2021/11/3
 */
@Data
@ApiModel("文件上传")
public class FileBase64ReqDTO implements Serializable {
    private static final long serialVersionUID = -267145861320351989L;

    @ApiModelProperty("文件存储根目录，格式为：XXXX/ （前面不要斜杠，后面要斜杠）")
    @NotBlank(message = "文件存储根目录不能为空")
    private String rootPath;

    @ApiModelProperty("文件存储自定义目录，格式为：XXXX/ （前面不要斜杠，后面要斜杠）")
    private String path;

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty(value = "文件存储类型：私有private或公有public", hidden = true)
    private String type;

    @ApiModelProperty(value = "多个上传文件的base64")
    private List<FileEntityBase64DTO> fileList;
}
