package com.cusc.nirvana.user.rnr.mg.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrCompanyInfoPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCompanyInfoDTO;

import java.util.List;

/**
 * 实名公司信息表(MgRnrCompanyInfo)表服务接口
 *
 * @author yuy336
 * @since 2022-02-10 18:30:31
 */
public interface IMgRnrCompanyInfoService extends IService<MgRnrCompanyInfoPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    MgRnrCompanyInfoDTO getByUuid(MgRnrCompanyInfoDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<MgRnrCompanyInfoDTO> queryByList(MgRnrCompanyInfoDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    MgRnrCompanyInfoDTO insert(MgRnrCompanyInfoDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    MgRnrCompanyInfoDTO update(MgRnrCompanyInfoDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(MgRnrCompanyInfoDTO bean);


    /**
     * 根据实名id获取信息
     * @param bean
     * @return
     */
    MgRnrCompanyInfoDTO getByRnrid(MgRnrCompanyInfoDTO bean);

    List<String> findRnrIdsByCompanyName(MgRnrCompanyInfoDTO bean);
}
