package com.cusc.nirvana.user.rnr.mg.service;

import com.cusc.nirvana.user.rnr.mg.constants.RnrStatus;
import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrInfoPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrInfoDTO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.PageResult;
import java.util.List;

/**
 * 实名信息表(MgRnrInfo)表服务接口
 *
 * @author yuy336
 * @since 2022-02-10 18:30:52
 */
public interface IMgRnrInfoService extends IService<MgRnrInfoPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    MgRnrInfoDTO getByUuid(MgRnrInfoDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<MgRnrInfoDTO> queryByList(MgRnrInfoDTO bean);

    /**
     * 分页查询
     *
     * @param bean 筛选条件
     * @return 查询结果
     */
    PageResult<MgRnrInfoDTO> queryByPage(MgRnrInfoDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    MgRnrInfoDTO insert(MgRnrInfoDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    MgRnrInfoDTO update(MgRnrInfoDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(MgRnrInfoDTO bean);

    /**
     * 更新订单状态
     * @param rnrId
     * @param rnr
     */
    void updateRnrStatus(String rnrId, RnrStatus rnr);

    /**
     * 批量更新订单状态
     */
    void updateRnrStatusBatch(List<String> rnrIds, RnrStatus status);
}
