package com.cusc.nirvana.user.rnr.mg.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.user.rnr.mg.dao.entity.MgVehicleCompanyPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgVehicleCompanyDTO;

import java.util.List;

/**
 * 车企信息表(FpVehicleCompany)表服务接口
 *
 * @author yuy336
 * @since 2022-04-19 20:11:33
 */
public interface IMgVehicleCompanyService extends IService<MgVehicleCompanyPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    MgVehicleCompanyDTO getByUuid(MgVehicleCompanyDTO bean);

    /**
     * 通过租户编号查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    MgVehicleCompanyDTO getVehicleCompany(MgVehicleCompanyDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<MgVehicleCompanyDTO> queryByList(MgVehicleCompanyDTO bean);

    /**
     * 分页查询
     *
     * @param bean 筛选条件
     * @return 查询结果
     */
    PageResult<MgVehicleCompanyDTO> queryByPage(MgVehicleCompanyDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    MgVehicleCompanyDTO insert(MgVehicleCompanyDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    MgVehicleCompanyDTO update(MgVehicleCompanyDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(MgVehicleCompanyDTO bean);

    /**
     * 通过rnrId新增车企信息
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    MgVehicleCompanyDTO saveByRnrId(MgVehicleCompanyDTO bean);
}
