package com.cusc.nirvana.user.rnr.mg.service;

import com.cusc.nirvana.user.rnr.mg.dao.entity.RnrNoticeTemplateConfigPO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrNoticeTemplateConfigDTO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.PageResult;
import java.util.List;

/**
 * 消息模板配置(RnrNoticeTemplateConfig)表服务接口
 *
 * @author yuy336
 * @since 2022-06-01 11:07:09
 */
public interface IRnrNoticeTemplateConfigService extends IService<RnrNoticeTemplateConfigPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    RnrNoticeTemplateConfigDTO getByUuid(RnrNoticeTemplateConfigDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<RnrNoticeTemplateConfigDTO> queryByList(RnrNoticeTemplateConfigDTO bean);

    /**
     * 分页查询
     *
     * @param bean 筛选条件
     * @return 查询结果
     */
    PageResult<RnrNoticeTemplateConfigDTO> queryByPage(RnrNoticeTemplateConfigDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    RnrNoticeTemplateConfigDTO insert(RnrNoticeTemplateConfigDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    RnrNoticeTemplateConfigDTO update(RnrNoticeTemplateConfigDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(RnrNoticeTemplateConfigDTO bean);

}
