package com.cusc.nirvana.user.rnr.mg.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.user.rnr.mg.dao.entity.RnrOrderOperationLogPO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrOrderOperationLogDTO;

import java.util.List;

/**
 * 实名工单操作日志(MgRnrOrderOperationLog)表服务接口
 *
 * @author yuy336
 * @since 2022-03-04 10:07:54
 */
public interface IRnrOrderOperationLogService extends IService<RnrOrderOperationLogPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    RnrOrderOperationLogDTO getByUuid(RnrOrderOperationLogDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<RnrOrderOperationLogDTO> queryByList(RnrOrderOperationLogDTO bean);

    /**
     * 分页查询
     *
     * @param bean 筛选条件
     * @return 查询结果
     */
    PageResult<RnrOrderOperationLogDTO> queryByPage(RnrOrderOperationLogDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    RnrOrderOperationLogDTO insert(RnrOrderOperationLogDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    RnrOrderOperationLogDTO update(RnrOrderOperationLogDTO bean);

    /**
     * 批量新增工单日志数据
     *
     * @param orderOptLogList 实例对象
     * @return 实例对象
     */
    Integer insertBatchOrderOperationLog(List<RnrOrderOperationLogPO> orderOptLogList);
}
