package com.cusc.nirvana.user.rnr.mg.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.user.rnr.mg.dao.entity.RnrOrderPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCardInfoDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrInfoDTO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrOrderDTO;
import com.cusc.nirvana.user.rnr.workorder.dto.WorkOrderReviewCallBackRequestDTO;

import java.util.List;

/**
 * 实名工单信息(MgRnrOrder15)表服务接口
 *
 * @author yuy336
 * @since 2022-01-26 13:49:52
 */
public interface IRnrOrderService extends IService<RnrOrderPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    RnrOrderDTO getByUuid(RnrOrderDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<RnrOrderDTO> queryByList(RnrOrderDTO bean);

    /**
     * 分页查询
     *
     * @param bean 筛选条件
     * @return 查询结果
     */
    PageResult<RnrOrderDTO> queryByPage(RnrOrderDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    RnrOrderDTO insert(RnrOrderDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    RnrOrderDTO update(RnrOrderDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(RnrOrderDTO bean);


    /**
     * Description: 批量发送
     * <br />
     * CreateDate 2022-03-07 19:33:24
     *
     * @author yuyi
     **/
    void sendBatchOrderMQ(List<RnrOrderDTO> orderList, Integer orderDelay);

    /**
     * 批量新增数据
     *
     * @param orderList 实例对象
     * @return 实例对象
     */
    Integer insertBatchOrder(List<RnrOrderDTO> orderList);

    /**
     * 批量新增数据
     *
     * @param orderList 实例对象
     * @return 实例对象
     */
    void sendThirdBatchOrder(List<RnrOrderDTO> orderList);

    /**
     * 更新工单状态
     */
    void updateOrderStatus(List<String> orderIds,int status);

    /**
     * 插入工单信息
     * @param order
     */
    void insertOrder(RnrOrderDTO order);

    void sendOrderSystem(RnrOrderDTO dto, MgRnrInfoDTO mgRnrInfoDTO, List<MgRnrCardInfoDTO> list);

    String getOrganNameForOrgId(String orgId);
    String getOrganNameForOrganCode(String orgId);
}
