package com.cusc.nirvana.user.rnr.mg.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCardInfoDTO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrRelationDTO;

import java.util.List;

/**
 * Description: 实名关系service
 * <br />
 * CreateDate 2022-01-26 10:36:27
 *
 * @author yuyi
 **/
public interface IRnrRelationService {

    /**
     * Description: 保存实名的关系-多卡
     * <br />
     * CreateDate 2022-03-03 13:58:47
     *
     * @author yuyi
     **/
    Response saveRnrRelation(RnrRelationDTO bean);

    /**
     * Description: 同步实名信息api  目前仅开放平台调用
     * <br />
     * CreateDate 2022-03-03 13:58:47
     *
     * @author yuyi
     **/
    Response syncRnrRelation(RnrRelationDTO bean);

    /**
     * Description: 锁定iccid
     * <br />
     * CreateDate 2022-03-07 15:24:32
     *
     * @author yuyi
     **/
    void lockRnrIccid(String tenantNo, String iccid, String value);

    /**
     * Description: 锁定iccid
     * <br />
     * CreateDate 2022-03-07 15:24:32
     *
     * @author yuyi
     **/
    void lockRnrIccidList(String tenantNo, List<String> iccidList, String value);

    /**
     * Description: 解锁iccid
     * <br />
     * CreateDate 2022-03-07 15:24:32
     *
     * @author yuyi
     **/
    void unLockRnrIccid(String tenantNo, String iccid);

    /**
     * Description: 解锁iccid
     * <br />
     * CreateDate 2022-03-07 15:24:32
     *
     * @author yuyi
     **/
    void unLockRnrIccidList(String tenantNo, List<String> iccidList);

    /**
     * Description: 检查iccid的状态
     * <br />
     * CreateDate 2022-03-07 16:14:07
     *
     * @author yuyi
     **/
    void checkIccidStatus(String tenantNo, List<String> iccidList);

    /**
     * Description: 根据iccid获取实名关系信息（rnr info、公司信息、联系人信息）
     * @return
     */
    Response getRnrRelation(MgRnrCardInfoDTO bean);
}
