package com.cusc.nirvana.user.rnr.mg.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.mg.constants.ProjectConstant;
import com.cusc.nirvana.user.rnr.mg.dto.ProjectNumRequestDTO;
import com.cusc.nirvana.user.rnr.mg.dto.ProjectNumResponseDTO;
import com.cusc.nirvana.user.rnr.mg.util.RnrMgRestTemplateUtils;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import javax.annotation.Resource;

/**
 * @author yubo
 * @since 2022-04-19 15:38
 */
@Service
public class ProjectServiceImpl implements IProjectService {

    @Resource
    RestTemplate restTemplate;

    @Override
    public Response<ProjectNumResponseDTO> findProjectNoByIccid(String iccid) {
        return RnrMgRestTemplateUtils.postForResponse(restTemplate, ProjectConstant.PROJECT_SERVICE_URL + "/project/api/v1/sim/iccid/project", new ProjectNumRequestDTO(iccid), ProjectNumResponseDTO.class);
    }
}
