package com.cusc.nirvana.user.rnr.mg.service.impl;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.ciam.client.CiamUserClient;
import com.cusc.nirvana.user.ciam.dto.CiamUserDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrInfoDTO;
import com.cusc.nirvana.user.rnr.mg.service.ICiamService;
import com.cusc.nirvana.user.rnr.mg.service.IMgRnrInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author yubo
 * @since 2022-05-06 20:46
 */
@Service
@Slf4j
public class CiamServiceImpl implements ICiamService {

    @Autowired
    CiamUserClient userClient;

    @Autowired
    IMgRnrInfoService mgRnrInfoService;

    @Override
    public void createUser(MgRnrInfoDTO mgRnrInfoDTO) {
        //创建用户
        log.info("创建用户，{}", mgRnrInfoDTO);

        try {

            CiamUserDTO userDTO = new CiamUserDTO();
            userDTO.setTenantNo(mgRnrInfoDTO.getTenantNo());
            userDTO.setPhoneNum(mgRnrInfoDTO.getPhone());
            Response<CiamUserDTO> user = userClient.createUser(userDTO);
            if (!user.isSuccess() && user.getData() == null) {
                log.error("创建用户失败:{}", JSON.toJSONString(user));
                return;
            }

            UpdateWrapper updateWrapper = new UpdateWrapper();
            updateWrapper.eq("uuid", mgRnrInfoDTO.getUuid());
            updateWrapper.set("user_id", user.getData().getUuid());
            mgRnrInfoService.update(updateWrapper);
        } catch (Exception e) {
            log.error("创建用户失败", e);
        }
    }
}
