package com.cusc.nirvana.user.rnr.mg.service.impl;

import com.alibaba.fastjson.JSON;
import com.cache.CacheFactory;
import com.cache.exception.CacheException;
import com.cusc.nirvana.user.rnr.common.constants.RedisConstant;
import com.cusc.nirvana.user.rnr.mg.service.NoticeConfigService;
import com.cusc.nirvana.user.rnr.notice.dto.RnrNoticeConfigDTO;
import com.cusc.nirvana.user.rnr.notice.service.IRnrNoticeConfigService;
import com.cusc.nirvana.user.rnr.notice.service.IRnrNoticeContentService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @className: NoticeConfigUtil
 * @author: jk
 * @date: 2022/7/29 19:11
 * @version: 1.0
 **/
@Service
@Slf4j
public class NoticeConfigServiceImpl implements NoticeConfigService {

    @Resource
    private CacheFactory cacheFactory;

    @Autowired
    private IRnrNoticeConfigService rnrNoticeConfigService;

    @Override
    public RnrNoticeConfigDTO queryNoticeConfig(String noticeConfigId) {

        RnrNoticeConfigDTO rnrNoticeConfigDTO = new RnrNoticeConfigDTO();

        String key = RedisConstant.RNR_CARD_STATISTICS_KEY + noticeConfigId;

        try {
            String str = cacheFactory.getStringService().getValue(key, String.class);


            if (StringUtils.isEmpty(str)) {
                rnrNoticeConfigDTO.setUuid(noticeConfigId);
                RnrNoticeConfigDTO rnrNoticeConfig = rnrNoticeConfigService.getByUuid(rnrNoticeConfigDTO);
                if (null != rnrNoticeConfig) {
                    cacheFactory.getExpireStringService().setExpireValue(key, JSON.toJSONString(rnrNoticeConfig), 60 * 50);
                    return rnrNoticeConfig;

                }
            }
            RnrNoticeConfigDTO rnrNotice = JSON.parseObject(str,RnrNoticeConfigDTO.class);

            return rnrNotice;
        } catch (CacheException e) {
            return rnrNoticeConfigDTO;
        }
    }
}
