package com.cusc.nirvana.user.rnr.mg.service.impl;

import com.cache.redis.util.FastJsonUtils;
import com.cusc.nirvana.user.rnr.common.dto.RnrMqMessageDTO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrOrderDTO;
import com.cusc.nirvana.user.rnr.mg.service.IOrderNoticeService;
import com.cusc.nirvana.user.rnr.mg.util.RnrMqUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Description: 实名工单通知服务实现类
 * <br />
 * CreateDate 2022-03-08 15:22:51
 *
 * @author yuyi
 **/
@Service
@Slf4j
public class OrderNoticeServiceImpl implements IOrderNoticeService {

    @Override
    public void sendOrderMsg(RnrMqMessageDTO<List<RnrOrderDTO>> bean) {
        if (bean != null && bean.getDelayTime() > 0) {
            log.debug("工单通知延迟  参数： {}", FastJsonUtils.convertObjectToJSON(bean));
            int surplusTime = bean.getSurplusTime();
            int delayLevel = RnrMqUtil.getLevel(surplusTime);
            bean.setSurplusTime(surplusTime - RnrMqUtil.getValue(delayLevel - 1));
            //rocketMQTemplate.syncSend(RnrMgMqConstant.DEAD_LETTER_QUEUE_ORDER,
            //        MessageBuilder.withPayload(bean).build(), RnrMqUtil.MQ_TIME_OUT, delayLevel);
        } else {
            //rocketMQTemplate.convertAndSend(RnrMgMqConstant.QUEUE_ORDER_TOPIC, bean);
        }
    }

    @Override
    public void sendOrderNotice(List<RnrOrderDTO> orderList) {
        //rocketMQTemplate.convertAndSend(RnrMgMqConstant.USER_RNR_MG_ORDER_NOTICE_TOPIC, orderList);
    }


    //------------------私有方法区-------------------

}
