package com.cusc.nirvana.user.rnr.notice.converter;

import com.cusc.nirvana.user.rnr.notice.dao.entity.RnrNoticeConfigPO;
import com.cusc.nirvana.user.rnr.notice.dto.RnrNoticeConfigDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 实名通知配置(同一个主体和状态支持多个通知方)(RnrNoticeConfig)表服务接口
 *
 * @author yuy336
 * @since 2022-03-31 15:04:52
 */
@Mapper
public interface RnrNoticeConfigConverter {

    RnrNoticeConfigConverter INSTANCE = Mappers.getMapper(RnrNoticeConfigConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    RnrNoticeConfigDTO poToDto(RnrNoticeConfigPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    RnrNoticeConfigPO dtoToPo(RnrNoticeConfigDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<RnrNoticeConfigDTO> poListToDtoList(List<RnrNoticeConfigPO> list);
}
