package com.cusc.nirvana.user.rnr.notice.converter;

import com.cusc.nirvana.user.rnr.notice.dao.entity.RnrNoticeContentPO;
import com.cusc.nirvana.user.rnr.notice.dto.RnrNoticeContentDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 实名通知内容(RnrNoticeContent)表服务接口
 *
 * @author yuy336
 * @since 2022-03-31 15:05:11
 */
@Mapper
public interface RnrNoticeContentConverter {

    RnrNoticeContentConverter INSTANCE = Mappers.getMapper(RnrNoticeContentConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    RnrNoticeContentDTO poToDto(RnrNoticeContentPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    RnrNoticeContentPO dtoToPo(RnrNoticeContentDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<RnrNoticeContentDTO> poListToDtoList(List<RnrNoticeContentPO> list);
}
