package com.cusc.nirvana.user.rnr.notice.converter;

import com.cusc.nirvana.user.rnr.notice.dao.entity.RnrNoticeContentLogPO;
import com.cusc.nirvana.user.rnr.notice.dto.RnrNoticeContentLogDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 实名通知内容日志(RnrNoticeContentLog)表服务接口
 *
 * @author yuy336
 * @since 2022-03-31 15:05:28
 */
@Mapper
public interface RnrNoticeContentLogConverter {

    RnrNoticeContentLogConverter INSTANCE = Mappers.getMapper(RnrNoticeContentLogConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    RnrNoticeContentLogDTO poToDto(RnrNoticeContentLogPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    RnrNoticeContentLogPO dtoToPo(RnrNoticeContentLogDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<RnrNoticeContentLogDTO> poListToDtoList(List<RnrNoticeContentLogPO> list);
}
