package com.cusc.nirvana.user.rnr.notice.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.*;
import java.util.Date;

/**
 * 实名通知内容日志(RnrNoticeContentLog)实体类
 *
 * @author yuy336
 * @since 2022-03-31 15:05:28
 */
@TableName("rnr_notice_content_log")
@Data
public class RnrNoticeContentLogPO  implements Serializable {

    private static final long serialVersionUID = -44360923018559636L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 创建时间
     */
    @TableField(value = "create_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private Date createTime;


    /**
     * 创建人
     */
    @TableField(value = "creator", updateStrategy = FieldStrategy.NEVER)
    private String creator;
    
    /**
     * 业务主键
     */    
    @TableField("uuid")
    private String uuid;
    
    /**
     * 通知业务主体
     */    
    @TableField("notice_content_id")
    private String noticeContentId;

    /**
     * 业务类型：1 实名, 2 解绑, 3 换件,  4 信息变更,5 重绑
     */
    @TableField("rnr_bizz_type")
    private String rnrBizzType;
    
    /**
     * 链路id
     */    
    @TableField("trace_id")
    private String traceId;
    
    /**
     * 请求时间
     */    
    @TableField("request_time")
    private Date requestTime;
    
    /**
     * 响应时间
     */    
    @TableField("response_time")
    private Date responseTime;
    
    /**
     * 响应描述
     */    
    @TableField("response_msg")
    private String responseMsg;
    
    /**
     * 是否成功
     */    
    @TableField("is_success")
    private Integer isSuccess;
}

