package com.cusc.nirvana.user.rnr.notice.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import lombok.Data;

import java.io.*;
import java.util.Date;

/**
 * 实名通知内容(RnrNoticeContent)实体类
 *
 * @author yuy336
 * @since 2022-03-31 15:05:11
 */
@TableName("rnr_notice_content")
@Data
public class RnrNoticeContentPO implements Serializable {

    private static final long serialVersionUID = -31304861657579746L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 创建时间
     */
    @TableField(value = "create_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private Date updateTime;

    /**
     * 创建人
     */
    @TableField(value = "creator", updateStrategy = FieldStrategy.NEVER)
    private String creator;

    /**
     * 业务主键
     */    
    @TableField("uuid")
    private String uuid;
    
    /**
     * 通知配置id
     */    
    @TableField("notice_config_id")
    private String noticeConfigId;
    
    /**
     * 通知业务主体
     */    
    @TableField("notice_subject")
    private String noticeSubject;

    /**
     * 业务类型：1 实名, 2 解绑, 3 换件,  4 信息变更,5 重绑
     */
    @TableField("rnr_bizz_type")
    private String rnrBizzType;
    
    /**
     * 通知内容
     */    
    @TableField("notice_content")
    private String noticeContent;
    
    /**
     * 通知状态
     */    
    @TableField("notice_status")
    private Integer noticeStatus;
    
    /**
     * 第几次通知
     */    
    @TableField("count")
    private Integer count;
    
    /**
     * 最后一次操作人
     */    
    @TableField("operator")
    private String operator;
}

