package com.cusc.nirvana.user.rnr.notice.service;

import com.cusc.nirvana.user.rnr.notice.dao.entity.RnrNoticeConfigPO;
import com.cusc.nirvana.user.rnr.notice.dto.RnrNoticeConfigDTO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.PageResult;
import java.util.List;

/**
 * 实名通知配置(同一个主体和状态支持多个通知方)(RnrNoticeConfig)表服务接口
 *
 * @author yuy336
 * @since 2022-03-31 15:04:51
 */
public interface IRnrNoticeConfigService extends IService<RnrNoticeConfigPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    RnrNoticeConfigDTO getByUuid(RnrNoticeConfigDTO bean);

    /**
     * 查询通知的配置
     *
     * @param bean
     * @return 实例对象
     */
    List<RnrNoticeConfigDTO> queryByNoticeSubject(RnrNoticeConfigDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<RnrNoticeConfigDTO> queryByList(RnrNoticeConfigDTO bean);

    /**
     * 分页查询
     *
     * @param bean 筛选条件
     * @return 查询结果
     */
    PageResult<RnrNoticeConfigDTO> queryByPage(RnrNoticeConfigDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    RnrNoticeConfigDTO insert(RnrNoticeConfigDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    RnrNoticeConfigDTO update(RnrNoticeConfigDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(RnrNoticeConfigDTO bean);

    /**
     * 通过业务主体和通知类型查询通知配置（支持缓存）
     *
     * @param bean
     * @return 集合对象
     */
    List<RnrNoticeConfigDTO> queryBySubjectAndTypeCache(RnrNoticeConfigDTO bean);
}
