package com.cusc.nirvana.user.rnr.notice.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.user.rnr.notice.dao.entity.RnrNoticeContentLogPO;
import com.cusc.nirvana.user.rnr.notice.dto.RnrNoticeContentLogDTO;

import java.util.List;

/**
 * 实名通知内容日志(RnrNoticeContentLog)表服务接口
 *
 * @author yuy336
 * @since 2022-03-31 15:05:28
 */
public interface IRnrNoticeContentLogService extends IService<RnrNoticeContentLogPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    RnrNoticeContentLogDTO getByUuid(RnrNoticeContentLogDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<RnrNoticeContentLogDTO> queryByList(RnrNoticeContentLogDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    RnrNoticeContentLogDTO insert(RnrNoticeContentLogDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    RnrNoticeContentLogDTO update(RnrNoticeContentLogDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(RnrNoticeContentLogDTO bean);

}
