package com.cusc.nirvana.user.rnr.notice.service;

import org.springframework.beans.BeansException;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author yubo
 * @since 2022-06-16 18:16
 */
@Service
public class NoticeHandlerContext implements ApplicationContextAware, InitializingBean {

    private ApplicationContext context;


    private Map<String, NoticeHandler> noticeHandlerMap;
    private List<NoticeHandler> handlerList;

    public List<NoticeHandler> getHandlerList() {
        return handlerList;
    }

    @Override
    public void afterPropertiesSet() throws Exception {
        noticeHandlerMap = context.getBeansOfType(NoticeHandler.class);
        handlerList = new ArrayList<>(noticeHandlerMap.values());
    }

    @Override
    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
        this.context = applicationContext;
    }
}
