package com.cusc.nirvana.user.rnr.workorder.controller;

import com.alibaba.fastjson.JSONObject;
import com.cache.CacheFactory;
import com.cache.exception.CacheException;
import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.exception.CuscUserException;
import com.cusc.nirvana.user.rnr.common.constants.RedisConstant;
import com.cusc.nirvana.user.rnr.mg.service.IMgRnrCardNoticeService;
import com.cusc.nirvana.user.rnr.workorder.context.WorkOrderCallBackContext;
import com.cusc.nirvana.user.rnr.workorder.dto.WorkOrderReviewCallBackRequestDTO;
import com.cusc.nirvana.user.rnr.workorder.handler.WorkOrderCallBackHandler;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;


/**
 * @author stayAnd
 * @date 2022/3/30
 */
@RestController
@RequestMapping("/rnr/workOrder")
@Slf4j
public class WorkOrderCallBackController {

	@Resource
	private WorkOrderCallBackContext context;

	@Resource
	private CacheFactory cacheFactory;

	@Resource
	private IMgRnrCardNoticeService iMgRnrCardNoticeService;

	@PostMapping("/callBack")
	public Response callBack(@RequestBody WorkOrderReviewCallBackRequestDTO callBackRequestDTO){
		log.info("WorkOrderCallBackController callBack = {}",JSONObject.toJSONString(callBackRequestDTO));
		WorkOrderCallBackHandler workBackHandler = context.getWorkBackHandler(callBackRequestDTO.getWorkOrderKey());
		if (null != workBackHandler) {
			try {
				boolean lockStatus = cacheFactory.getLockService().lock(RedisConstant.RNR_MG_ASYNCORDER_LOCK + callBackRequestDTO.getCode(),
						RedisConstant.RNR_MG_ASYNCORDER_LOCK_EXPIRE);
				if(!lockStatus){
					throw new CuscUserException("", "当前有正在处理的实名请求，请勿重复提交");
				}
				iMgRnrCardNoticeService.asyncOrderExecutor(callBackRequestDTO);
			} catch (CacheException e) {
				log.error("personH5CallBack 加锁失败 ", e);
			}
		}
		return Response.createSuccess();
	}
}
